root/foundation-libs/libxt-maxx/config.status.lineno

Revision 5, 32.1 KB (checked in by emasson, 3 years ago)

initial import for the community edition

Line 
1#! /bin/sh
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8ac_cs_recheck=false
9ac_cs_silent=false
10SHELL=${CONFIG_SHELL-/bin/sh}
11## --------------------- ##
12## M4sh Initialization.  ##
13## --------------------- ##
14
15# Be Bourne compatible
16if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17  emulate sh
18  NULLCMD=:
19  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20  # is contrary to our usage.  Disable this feature.
21  alias -g '${1+"$@"}'='"$@"'
22  setopt NO_GLOB_SUBST
23else
24  case `(set -o) 2>/dev/null` in *posix*) set -o posix;; esac
25fi
26BIN_SH=xpg4; export BIN_SH # for Tru64
27DUALCASE=1; export DUALCASE # for MKS sh
28
29
30# PATH needs CR
31# Avoid depending upon Character Ranges.
32as_cr_letters='abcdefghijklmnopqrstuvwxyz'
33as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
34as_cr_Letters=$as_cr_letters$as_cr_LETTERS
35as_cr_digits='0123456789'
36as_cr_alnum=$as_cr_Letters$as_cr_digits
37
38# The user is always right.
39if test "${PATH_SEPARATOR+set}" != set; then
40  echo "#! /bin/sh" >conf$$.sh
41  echo  "exit 0"   >>conf$$.sh
42  chmod +x conf$$.sh
43  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
44    PATH_SEPARATOR=';'
45  else
46    PATH_SEPARATOR=:
47  fi
48  rm -f conf$$.sh
49fi
50
51# Support unset when possible.
52if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
53  as_unset=unset
54else
55  as_unset=false
56fi
57
58
59# IFS
60# We need space, tab and new line, in precisely that order.  Quoting is
61# there to prevent editors from complaining about space-tab.
62# (If _AS_PATH_WALK were called with IFS unset, it would disable word
63# splitting by setting IFS to empty value.)
64as_nl='
65'
66IFS=" ""        $as_nl"
67
68# Find who we are.  Look in the path if we contain no directory separator.
69case $0 in
70  *[\\/]* ) as_myself=$0 ;;
71  *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
72for as_dir in $PATH
73do
74  IFS=$as_save_IFS
75  test -z "$as_dir" && as_dir=.
76  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
77done
78IFS=$as_save_IFS
79
80     ;;
81esac
82# We did not find ourselves, most probably we were run as `sh COMMAND'
83# in which case we are not to be found in the path.
84if test "x$as_myself" = x; then
85  as_myself=$0
86fi
87if test ! -f "$as_myself"; then
88  echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
89  { (exit 1); exit 1; }
90fi
91
92# Work around bugs in pre-3.0 UWIN ksh.
93for as_var in ENV MAIL MAILPATH
94do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
95done
96PS1='$ '
97PS2='> '
98PS4='+ '
99
100# NLS nuisances.
101for as_var in \
102  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
103  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
104  LC_TELEPHONE LC_TIME
105do
106  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
107    eval $as_var=C; export $as_var
108  else
109    ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
110  fi
111done
112
113# Required to use basename.
114if expr a : '\(a\)' >/dev/null 2>&1 &&
115   test "X`expr 00001 : '.*\(...\)'`" = X001; then
116  as_expr=expr
117else
118  as_expr=false
119fi
120
121if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
122  as_basename=basename
123else
124  as_basename=false
125fi
126
127
128# Name of the executable.
129as_me=`$as_basename -- "$0" ||
130$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
131         X"$0" : 'X\(//\)$' \| \
132         X"$0" : 'X\(/\)' \| . 2>/dev/null ||
133echo X/"$0" |
134    sed '/^.*\/\([^/][^/]*\)\/*$/{
135            s//\1/
136            q
137          }
138          /^X\/\(\/\/\)$/{
139            s//\1/
140            q
141          }
142          /^X\/\(\/\).*/{
143            s//\1/
144            q
145          }
146          s/.*/./; q'`
147
148# CDPATH.
149$as_unset CDPATH
150
151
152
153  as_lineno_1=153
154  as_lineno_2=154
155  test "x$as_lineno_1" != "x$as_lineno_2" &&
156  test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
157
158  # Create $as_me.lineno as a copy of $as_myself, but with 158
159  # uniformly replaced by the line number.  The first 'sed' inserts a
160  # line-number line after each line using 160; the second 'sed'
161  # does the real work.  The second script uses 'N' to pair each
162  # line-number line with the line containing 162, and appends
163  # trailing '-' during substitution so that 163 is not a special
164  # case at line end.
165  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
166  # scripts with optimization help from Paolo Bonzini.  Blame Lee
167  # E. McMahon (1931-1989) for sed's syntax.  :-)
168  sed -n '
169    p
170    /[$]LINENO/=
171  ' <$as_myself |
172    sed '
173      s/[$]LINENO.*/&-/
174      t lineno
175      b
176      :lineno
177      N
178      :loop
179      s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
180      t loop
181      s/-\n.*//
182    ' >$as_me.lineno &&
183  chmod +x "$as_me.lineno" ||
184    { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
185   { (exit 1); exit 1; }; }
186
187  # Don't try to exec as it changes $[0], causing all sort of problems
188  # (the dirname of $[0] is not the place where we might find the
189  # original and so on.  Autoconf is especially sensitive to this).
190  . "./$as_me.lineno"
191  # Exit status is that of the last command.
192  exit
193}
194
195
196if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
197  as_dirname=dirname
198else
199  as_dirname=false
200fi
201
202ECHO_C= ECHO_N= ECHO_T=
203case `echo -n x` in
204-n*)
205  case `echo 'x\c'` in
206  *c*) ECHO_T=' ';;     # ECHO_T is single tab character.
207  *)   ECHO_C='\c';;
208  esac;;
209*)
210  ECHO_N='-n';;
211esac
212
213if expr a : '\(a\)' >/dev/null 2>&1 &&
214   test "X`expr 00001 : '.*\(...\)'`" = X001; then
215  as_expr=expr
216else
217  as_expr=false
218fi
219
220rm -f conf$$ conf$$.exe conf$$.file
221if test -d conf$$.dir; then
222  rm -f conf$$.dir/conf$$.file
223else
224  rm -f conf$$.dir
225  mkdir conf$$.dir
226fi
227echo >conf$$.file
228if ln -s conf$$.file conf$$ 2>/dev/null; then
229  as_ln_s='ln -s'
230  # ... but there are two gotchas:
231  # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
232  # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
233  # In both cases, we have to default to `cp -p'.
234  ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
235    as_ln_s='cp -p'
236elif ln conf$$.file conf$$ 2>/dev/null; then
237  as_ln_s=ln
238else
239  as_ln_s='cp -p'
240fi
241rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
242rmdir conf$$.dir 2>/dev/null
243
244if mkdir -p . 2>/dev/null; then
245  as_mkdir_p=:
246else
247  test -d ./-p && rmdir ./-p
248  as_mkdir_p=false
249fi
250
251# Find out whether ``test -x'' works.  Don't use a zero-byte file, as
252# systems may use methods other than mode bits to determine executability.
253cat >conf$$.file <<_ASEOF
254#! /bin/sh
255exit 0
256_ASEOF
257chmod +x conf$$.file
258if test -x conf$$.file >/dev/null 2>&1; then
259  as_executable_p="test -x"
260else
261  as_executable_p=:
262fi
263rm -f conf$$.file
264
265# Sed expression to map a string onto a valid CPP name.
266as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
267
268# Sed expression to map a string onto a valid variable name.
269as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
270
271
272exec 6>&1
273
274# Save the log message, to keep $[0] and so on meaningful, and to
275# report actual input values of CONFIG_FILES etc. instead of their
276# values after options handling.
277ac_log="
278This file was extended by libXt $as_me 1.0.5, which was
279generated by GNU Autoconf 2.60.  Invocation command line was
280
281  CONFIG_FILES    = $CONFIG_FILES
282  CONFIG_HEADERS  = $CONFIG_HEADERS
283  CONFIG_LINKS    = $CONFIG_LINKS
284  CONFIG_COMMANDS = $CONFIG_COMMANDS
285  $ $0 $@
286
287on `(hostname || uname -n) 2>/dev/null | sed 1q`
288"
289
290# Files that config.status was made for.
291config_files=" Makefile src/Makefile util/Makefile include/Makefile man/Makefile xt.pc"
292config_headers=" config.h"
293config_commands=" depfiles"
294
295ac_cs_usage="\
296\`$as_me' instantiates files from templates according to the
297current configuration.
298
299Usage: $0 [OPTIONS] [FILE]...
300
301  -h, --help       print this help, then exit
302  -V, --version    print version number, then exit
303  -q, --quiet      do not print progress messages
304  -d, --debug      don't remove temporary files
305      --recheck    update $as_me by reconfiguring in the same conditions
306  --file=FILE[:TEMPLATE]
307                   instantiate the configuration file FILE
308  --header=FILE[:TEMPLATE]
309                   instantiate the configuration header FILE
310
311Configuration files:
312$config_files
313
314Configuration headers:
315$config_headers
316
317Configuration commands:
318$config_commands
319
320Report bugs to <bug-autoconf@gnu.org>."
321
322ac_cs_version="\
323libXt config.status 1.0.5
324configured by ./configure, generated by GNU Autoconf 2.60,
325  with options \"'--prefix=/usr'\"
326
327Copyright (C) 2006 Free Software Foundation, Inc.
328This config.status script is free software; the Free Software Foundation
329gives unlimited permission to copy, distribute and modify it."
330
331ac_pwd='/home/emasson/MaXX-Desktop-DR1/libXt-1.0.5-MaXX'
332srcdir='.'
333INSTALL='/usr/bin/install -c'
334# If no file are specified by the user, then we need to provide default
335# value.  By we need to know if files were specified by the user.
336ac_need_defaults=:
337while test $# != 0
338do
339  case $1 in
340  --*=*)
341    ac_option=`expr "X$1" : 'X\([^=]*\)='`
342    ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
343    ac_shift=:
344    ;;
345  *)
346    ac_option=$1
347    ac_optarg=$2
348    ac_shift=shift
349    ;;
350  esac
351
352  case $ac_option in
353  # Handling of the options.
354  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
355    ac_cs_recheck=: ;;
356  --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
357    echo "$ac_cs_version"; exit ;;
358  --debug | --debu | --deb | --de | --d | -d )
359    debug=: ;;
360  --file | --fil | --fi | --f )
361    $ac_shift
362    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
363    ac_need_defaults=false;;
364  --header | --heade | --head | --hea )
365    $ac_shift
366    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
367    ac_need_defaults=false;;
368  --he | --h)
369    # Conflict between --help and --header
370    { echo "$as_me: error: ambiguous option: $1
371Try \`$0 --help' for more information." >&2
372   { (exit 1); exit 1; }; };;
373  --help | --hel | -h )
374    echo "$ac_cs_usage"; exit ;;
375  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
376  | -silent | --silent | --silen | --sile | --sil | --si | --s)
377    ac_cs_silent=: ;;
378
379  # This is an error.
380  -*) { echo "$as_me: error: unrecognized option: $1
381Try \`$0 --help' for more information." >&2
382   { (exit 1); exit 1; }; } ;;
383
384  *) ac_config_targets="$ac_config_targets $1"
385     ac_need_defaults=false ;;
386
387  esac
388  shift
389done
390
391ac_configure_extra_args=
392
393if $ac_cs_silent; then
394  exec 6>/dev/null
395  ac_configure_extra_args="$ac_configure_extra_args --silent"
396fi
397
398if $ac_cs_recheck; then
399  echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " '--prefix=/usr' $ac_configure_extra_args " --no-create --no-recursion" >&6
400  CONFIG_SHELL=/bin/sh
401  export CONFIG_SHELL
402  exec /bin/sh "./configure" '--prefix=/usr' $ac_configure_extra_args --no-create --no-recursion
403fi
404
405exec 5>>config.log
406{
407  echo
408  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
409## Running $as_me. ##
410_ASBOX
411  echo "$ac_log"
412} >&5
413
414#
415# INIT-COMMANDS
416#
417AMDEP_TRUE="" ac_aux_dir="."
418
419
420# Handling of arguments.
421for ac_config_target in $ac_config_targets
422do
423  case $ac_config_target in
424    "config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
425    "depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
426    "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
427    "src/Makefile") CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
428    "util/Makefile") CONFIG_FILES="$CONFIG_FILES util/Makefile" ;;
429    "include/Makefile") CONFIG_FILES="$CONFIG_FILES include/Makefile" ;;
430    "man/Makefile") CONFIG_FILES="$CONFIG_FILES man/Makefile" ;;
431    "xt.pc") CONFIG_FILES="$CONFIG_FILES xt.pc" ;;
432
433  *) { { echo "$as_me:433: error: invalid argument: $ac_config_target" >&5
434echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
435   { (exit 1); exit 1; }; };;
436  esac
437done
438
439
440# If the user did not use the arguments to specify the items to instantiate,
441# then the envvar interface is used.  Set only those that are not.
442# We use the long form for the default assignment because of an extremely
443# bizarre bug on SunOS 4.1.3.
444if $ac_need_defaults; then
445  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
446  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
447  test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
448fi
449
450# Have a temporary directory for convenience.  Make it in the build tree
451# simply because there is no reason against having it here, and in addition,
452# creating and moving files from /tmp can sometimes cause problems.
453# Hook for its removal unless debugging.
454# Note that there is a small window in which the directory will not be cleaned:
455# after its creation but before its name has been assigned to `$tmp'.
456$debug ||
457{
458  tmp=
459  trap 'exit_status=$?
460  { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
461' 0
462  trap '{ (exit 1); exit 1; }' 1 2 13 15
463}
464# Create a (secure) tmp directory for tmp files.
465
466{
467  tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
468  test -n "$tmp" && test -d "$tmp"
469}  ||
470{
471  tmp=./conf$$-$RANDOM
472  (umask 077 && mkdir "$tmp")
473} ||
474{
475   echo "$me: cannot create a temporary directory in ." >&2
476   { (exit 1); exit 1; }
477}
478
479#
480# Set up the sed scripts for CONFIG_FILES section.
481#
482
483# No need to generate the scripts if there are no CONFIG_FILES.
484# This happens for instance when ./config.status config.h
485if test -n "$CONFIG_FILES"; then
486
487cat >"$tmp/subs-1.sed" <<\CEOF
488/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
489s,@SHELL@,|#_!!_#|/bin/sh,g
490s,@PATH_SEPARATOR@,|#_!!_#|:,g
491s,@PACKAGE_NAME@,|#_!!_#|libXt,g
492s,@PACKAGE_TARNAME@,|#_!!_#|libXt,g
493s,@PACKAGE_VERSION@,|#_!!_#|1.0.5,g
494s,@PACKAGE_STRING@,|#_!!_#|libXt 1.0.5,g
495s,@PACKAGE_BUGREPORT@,|#_!!_#|https://bugs.freedesktop.org/enter_bug.cgi?product=xorg,g
496s,@exec_prefix@,|#_!!_#|${prefix},g
497s,@prefix@,|#_!!_#|/usr,g
498s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
499s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
500s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
501s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
502s,@datarootdir@,|#_!!_#|${prefix}/share,g
503s,@datadir@,|#_!!_#|${datarootdir},g
504s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
505s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
506s,@localstatedir@,|#_!!_#|${prefix}/var,g
507s,@includedir@,|#_!!_#|${prefix}/include,g
508s,@oldincludedir@,|#_!!_#|/usr/include,g
509s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE_TARNAME},g
510s,@infodir@,|#_!!_#|${datarootdir}/info,g
511s,@htmldir@,|#_!!_#|${docdir},g
512s,@dvidir@,|#_!!_#|${docdir},g
513s,@pdfdir@,|#_!!_#|${docdir},g
514s,@psdir@,|#_!!_#|${docdir},g
515s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
516s,@localedir@,|#_!!_#|${datarootdir}/locale,g
517s,@mandir@,|#_!!_#|${datarootdir}/man,g
518s,@DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g
519s,@ECHO_C@,|#_!!_#|,g
520s,@ECHO_N@,|#_!!_#|-n,g
521s,@ECHO_T@,|#_!!_#|,g
522s,@LIBS@,|#_!!_#|,g
523s,@build_alias@,|#_!!_#|,g
524s,@host_alias@,|#_!!_#|,g
525s,@target_alias@,|#_!!_#|,g
526s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
527s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
528s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
529s,@CYGPATH_W@,|#_!!_#|echo,g
530s,@PACKAGE@,|#_!!_#|libXt,g
531s,@VERSION@,|#_!!_#|1.0.5,g
532s,@ACLOCAL@,|#_!!_#|${SHELL} /home/emasson/MaXX-Desktop-DR1/libXt-1.0.5-MaXX/missing --run aclocal-1.9,g
533s,@AUTOCONF@,|#_!!_#|${SHELL} /home/emasson/MaXX-Desktop-DR1/libXt-1.0.5-MaXX/missing --run autoconf,g
534s,@AUTOMAKE@,|#_!!_#|${SHELL} /home/emasson/MaXX-Desktop-DR1/libXt-1.0.5-MaXX/missing --run automake-1.9,g
535s,@AUTOHEADER@,|#_!!_#|${SHELL} /home/emasson/MaXX-Desktop-DR1/libXt-1.0.5-MaXX/missing --run autoheader,g
536s,@MAKEINFO@,|#_!!_#|${SHELL} /home/emasson/MaXX-Desktop-DR1/libXt-1.0.5-MaXX/missing --run makeinfo,g
537s,@install_sh@,|#_!!_#|/home/emasson/MaXX-Desktop-DR1/libXt-1.0.5-MaXX/install-sh,g
538s,@STRIP@,|#_!!_#|strip,g
539s,@INSTALL_STRIP_PROGRAM@,|#_!!_#|${SHELL} $(install_sh) -c -s,g
540s,@mkdir_p@,|#_!!_#|mkdir -p --,g
541s,@AWK@,|#_!!_#|mawk,g
542s,@SET_MAKE@,|#_!!_#|,g
543s,@am__leading_dot@,|#_!!_#|.,g
544s,@AMTAR@,|#_!!_#|${SHELL} /home/emasson/MaXX-Desktop-DR1/libXt-1.0.5-MaXX/missing --run tar,g
545s,@am__tar@,|#_!!_#|${AMTAR} chof - "$$tardir",g
546s,@am__untar@,|#_!!_#|${AMTAR} xf -,g
547s,@MAINTAINER_MODE_TRUE@,|#_!!_#|#,g
548s,@MAINTAINER_MODE_FALSE@,|#_!!_#|,g
549s,@MAINT@,|#_!!_#|#,g
550s,@CC@,|#_!!_#|gcc,g
551s,@CFLAGS@,|#_!!_#|-O4,g
552s,@LDFLAGS@,|#_!!_#|,g
553s,@CPPFLAGS@,|#_!!_#|,g
554s,@ac_ct_CC@,|#_!!_#|gcc,g
555s,@EXEEXT@,|#_!!_#|,g
556s,@OBJEXT@,|#_!!_#|o,g
557s,@DEPDIR@,|#_!!_#|.deps,g
558s,@am__include@,|#_!!_#|include,g
559s,@am__quote@,|#_!!_#|,g
560s,@AMDEP_TRUE@,|#_!!_#|,g
561s,@AMDEP_FALSE@,|#_!!_#|#,g
562s,@AMDEPBACKSLASH@,|#_!!_#|\\,g
563s,@CCDEPMODE@,|#_!!_#|depmode=gcc3,g
564s,@am__fastdepCC_TRUE@,|#_!!_#|,g
565s,@am__fastdepCC_FALSE@,|#_!!_#|#,g
566s,@build@,|#_!!_#|x86_64-unknown-linux-gnu,g
567s,@build_cpu@,|#_!!_#|x86_64,g
568s,@build_vendor@,|#_!!_#|unknown,g
569s,@build_os@,|#_!!_#|linux-gnu,g
570s,@host@,|#_!!_#|x86_64-unknown-linux-gnu,g
571s,@host_cpu@,|#_!!_#|x86_64,g
572s,@host_vendor@,|#_!!_#|unknown,g
573s,@host_os@,|#_!!_#|linux-gnu,g
574s,@GREP@,|#_!!_#|/bin/grep,g
575s,@EGREP@,|#_!!_#|/bin/grep -E,g
576s,@LN_S@,|#_!!_#|ln -s,g
577s,@ECHO@,|#_!!_#|echo,g
578s,@AR@,|#_!!_#|ar,g
579s,@RANLIB@,|#_!!_#|ranlib,g
580s,@CPP@,|#_!!_#|gcc -E,g
581s,@CXX@,|#_!!_#|g++,g
582s,@CXXFLAGS@,|#_!!_#|-O4,g
583s,@ac_ct_CXX@,|#_!!_#|g++,g
584s,@CXXDEPMODE@,|#_!!_#|depmode=gcc3,g
585s,@am__fastdepCXX_TRUE@,|#_!!_#|,g
586CEOF
587cat >"$tmp/subs-2.sed" <<\CEOF
588/@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
589s,@am__fastdepCXX_FALSE@,|#_!!_#|#,g
590s,@CXXCPP@,|#_!!_#|g++ -E,g
591s,@F77@,|#_!!_#|,g
592s,@FFLAGS@,|#_!!_#|,g
593s,@ac_ct_F77@,|#_!!_#|,g
594s,@LIBTOOL@,|#_!!_#|$(SHELL) $(top_builddir)/libtool,g
595s,@PKG_CONFIG@,|#_!!_#|/usr/bin/pkg-config,g
596s,@XT_CFLAGS@,|#_!!_#| ,g
597s,@XT_LIBS@,|#_!!_#|-lSM -lICE -lX11  ,g
598s,@INSTALL_MAKESTRS_TRUE@,|#_!!_#|,g
599s,@INSTALL_MAKESTRS_FALSE@,|#_!!_#|#,g
600s,@XFILESEARCHPATHDEFAULT@,|#_!!_#|$(sysconfdir)/X11/%L/%T/%N%C%S:$(sysconfdir)/X11/%l/%T/%N%C%S:$(sysconfdir)/X11/%T/%N%C%S:$(sysconfdir)/X11/%L/%T/%N%S:$(sysconfdir)/X11/%l/%T/%N%S:$(sysconfdir)/X11/%T/%N%S:$(datadir)/X11/%L/%T/%N%C%S:$(datadir)/X11/%l/%T/%N%C%S:$(datadir)/X11/%T/%N%C%S:$(datadir)/X11/%L/%T/%N%S:$(datadir)/X11/%l/%T/%N%S:$(datadir)/X11/%T/%N%S:$(libdir)/X11/%L/%T/%N%C%S:$(libdir)/X11/%l/%T/%N%C%S:$(libdir)/X11/%T/%N%C%S:$(libdir)/X11/%L/%T/%N%S:$(libdir)/X11/%l/%T/%N%S:$(libdir)/X11/%T/%N%S,g
601s,@appdefaultdir@,|#_!!_#|/usr/share/X11/app-defaults,g
602s,@STRINGSABIOPTIONS@,|#_!!_#|,g
603s,@RAWCPP@,|#_!!_#|/usr/bin/cpp,g
604s,@RAWCPPFLAGS@,|#_!!_#|-undef -traditional,g
605s,@APP_MAN_SUFFIX@,|#_!!_#|1,g
606s,@LIB_MAN_SUFFIX@,|#_!!_#|3,g
607s,@FILE_MAN_SUFFIX@,|#_!!_#|5,g
608s,@MISC_MAN_SUFFIX@,|#_!!_#|7,g
609s,@DRIVER_MAN_SUFFIX@,|#_!!_#|4,g
610s,@ADMIN_MAN_SUFFIX@,|#_!!_#|8,g
611s,@APP_MAN_DIR@,|#_!!_#|$(mandir)/man$(APP_MAN_SUFFIX),g
612s,@LIB_MAN_DIR@,|#_!!_#|$(mandir)/man$(LIB_MAN_SUFFIX),g
613s,@FILE_MAN_DIR@,|#_!!_#|$(mandir)/man$(FILE_MAN_SUFFIX),g
614s,@MISC_MAN_DIR@,|#_!!_#|$(mandir)/man$(MISC_MAN_SUFFIX),g
615s,@DRIVER_MAN_DIR@,|#_!!_#|$(mandir)/man$(DRIVER_MAN_SUFFIX),g
616s,@ADMIN_MAN_DIR@,|#_!!_#|$(mandir)/man$(ADMIN_MAN_SUFFIX),g
617s,@MALLOC_ZERO_CFLAGS@,|#_!!_#|-DMALLOC_0_RETURNS_NULL,g
618s,@XMALLOC_ZERO_CFLAGS@,|#_!!_#|-DMALLOC_0_RETURNS_NULL,g
619s,@XTMALLOC_ZERO_CFLAGS@,|#_!!_#|-DMALLOC_0_RETURNS_NULL -DXTMALLOC_BC,g
620s,@LIBOBJS@,|#_!!_#|,g
621s,@LTLIBOBJS@,|#_!!_#|,g
622:end
623s/|#_!!_#|//g
624CEOF
625fi # test -n "$CONFIG_FILES"
626
627
628for ac_tag in  :F $CONFIG_FILES  :H $CONFIG_HEADERS    :C $CONFIG_COMMANDS
629do
630  case $ac_tag in
631  :[FHLC]) ac_mode=$ac_tag; continue;;
632  esac
633  case $ac_mode$ac_tag in
634  :[FHL]*:*);;
635  :L* | :C*:*) { { echo "$as_me:635: error: Invalid tag $ac_tag." >&5
636echo "$as_me: error: Invalid tag $ac_tag." >&2;}
637   { (exit 1); exit 1; }; };;
638  :[FH]-) ac_tag=-:-;;
639  :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
640  esac
641  ac_save_IFS=$IFS
642  IFS=:
643  set x $ac_tag
644  IFS=$ac_save_IFS
645  shift
646  ac_file=$1
647  shift
648
649  case $ac_mode in
650  :L) ac_source=$1;;
651  :[FH])
652    ac_file_inputs=
653    for ac_f
654    do
655      case $ac_f in
656      -) ac_f="$tmp/stdin";;
657      *) # Look for the file first in the build tree, then in the source tree
658         # (if the path is not absolute).  The absolute path cannot be DOS-style,
659         # because $ac_f cannot contain `:'.
660         test -f "$ac_f" ||
661           case $ac_f in
662           [\\/$]*) false;;
663           *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
664           esac ||
665           { { echo "$as_me:665: error: cannot find input file: $ac_f" >&5
666echo "$as_me: error: cannot find input file: $ac_f" >&2;}
667   { (exit 1); exit 1; }; };;
668      esac
669      ac_file_inputs="$ac_file_inputs $ac_f"
670    done
671
672    # Let's still pretend it is `configure' which instantiates (i.e., don't
673    # use $as_me), people would be surprised to read:
674    #    /* config.h.  Generated by config.status.  */
675    configure_input="Generated from "`IFS=:
676          echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
677    if test x"$ac_file" != x-; then
678      configure_input="$ac_file.  $configure_input"
679      { echo "$as_me:679: creating $ac_file" >&5
680echo "$as_me: creating $ac_file" >&6;}
681    fi
682
683    case $ac_tag in
684    *:-:* | *:-) cat >"$tmp/stdin";;
685    esac
686    ;;
687  esac
688
689  ac_dir=`$as_dirname -- "$ac_file" ||
690$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
691         X"$ac_file" : 'X\(//\)[^/]' \| \
692         X"$ac_file" : 'X\(//\)$' \| \
693         X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
694echo X"$ac_file" |
695    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
696            s//\1/
697            q
698          }
699          /^X\(\/\/\)[^/].*/{
700            s//\1/
701            q
702          }
703          /^X\(\/\/\)$/{
704            s//\1/
705            q
706          }
707          /^X\(\/\).*/{
708            s//\1/
709            q
710          }
711          s/.*/./; q'`
712  { as_dir="$ac_dir"
713  case $as_dir in #(
714  -*) as_dir=./$as_dir;;
715  esac
716  test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
717    as_dirs=
718    while :; do
719      case $as_dir in #(
720      *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
721      *) as_qdir=$as_dir;;
722      esac
723      as_dirs="'$as_qdir' $as_dirs"
724      as_dir=`$as_dirname -- "$as_dir" ||
725$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
726         X"$as_dir" : 'X\(//\)[^/]' \| \
727         X"$as_dir" : 'X\(//\)$' \| \
728         X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
729echo X"$as_dir" |
730    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
731            s//\1/
732            q
733          }
734          /^X\(\/\/\)[^/].*/{
735            s//\1/
736            q
737          }
738          /^X\(\/\/\)$/{
739            s//\1/
740            q
741          }
742          /^X\(\/\).*/{
743            s//\1/
744            q
745          }
746          s/.*/./; q'`
747      test -d "$as_dir" && break
748    done
749    test -z "$as_dirs" || eval "mkdir $as_dirs"
750  } || test -d "$as_dir" || { { echo "$as_me:750: error: cannot create directory $as_dir" >&5
751echo "$as_me: error: cannot create directory $as_dir" >&2;}
752   { (exit 1); exit 1; }; }; }
753  ac_builddir=.
754
755case "$ac_dir" in
756.) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
757*)
758  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
759  # A ".." for each directory in $ac_dir_suffix.
760  ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
761  case $ac_top_builddir_sub in
762  "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
763  *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
764  esac ;;
765esac
766ac_abs_top_builddir=$ac_pwd
767ac_abs_builddir=$ac_pwd$ac_dir_suffix
768# for backward compatibility:
769ac_top_builddir=$ac_top_build_prefix
770
771case $srcdir in
772  .)  # We are building in place.
773    ac_srcdir=.
774    ac_top_srcdir=$ac_top_builddir_sub
775    ac_abs_top_srcdir=$ac_pwd ;;
776  [\\/]* | ?:[\\/]* )  # Absolute name.
777    ac_srcdir=$srcdir$ac_dir_suffix;
778    ac_top_srcdir=$srcdir
779    ac_abs_top_srcdir=$srcdir ;;
780  *) # Relative name.
781    ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
782    ac_top_srcdir=$ac_top_build_prefix$srcdir
783    ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
784esac
785ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
786
787
788  case $ac_mode in
789  :F)
790  #
791  # CONFIG_FILE
792  #
793
794  case $INSTALL in
795  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
796  *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
797  esac
798# If the template does not know about datarootdir, expand it.
799# FIXME: This hack should be removed a few years after 2.60.
800ac_datarootdir_hack=; ac_datarootdir_seen=
801
802case `sed -n '/datarootdir/ {
803  p
804  q
805}
806/@datadir@/p
807/@docdir@/p
808/@infodir@/p
809/@localedir@/p
810/@mandir@/p
811' $ac_file_inputs` in
812*datarootdir*) ac_datarootdir_seen=yes;;
813*@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
814  { echo "$as_me:814: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
815echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
816  ac_datarootdir_hack='
817  s&@datadir@&${datarootdir}&g
818  s&@docdir@&${datarootdir}/doc/${PACKAGE_TARNAME}&g
819  s&@infodir@&${datarootdir}/info&g
820  s&@localedir@&${datarootdir}/locale&g
821  s&@mandir@&${datarootdir}/man&g
822    s&\${datarootdir}&${prefix}/share&g' ;;
823esac
824  sed "/^[       ]*VPATH[        ]*=/{
825s/:*\$(srcdir):*/:/
826s/:*\${srcdir}:*/:/
827s/:*@srcdir@:*/:/
828s/^\([^=]*=[     ]*\):*/\1/
829s/:*$//
830s/^[^=]*=[       ]*$//
831}
832
833:t
834/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
835s&@configure_input@&$configure_input&;t t
836s&@top_builddir@&$ac_top_builddir_sub&;t t
837s&@srcdir@&$ac_srcdir&;t t
838s&@abs_srcdir@&$ac_abs_srcdir&;t t
839s&@top_srcdir@&$ac_top_srcdir&;t t
840s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
841s&@builddir@&$ac_builddir&;t t
842s&@abs_builddir@&$ac_abs_builddir&;t t
843s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
844s&@INSTALL@&$ac_INSTALL&;t t
845$ac_datarootdir_hack
846" $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" >$tmp/out
847
848test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
849  { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
850  { ac_out=`sed -n '/^[  ]*datarootdir[  ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
851  { echo "$as_me:851: WARNING: $ac_file contains a reference to the variable \`datarootdir'
852which seems to be undefined.  Please make sure it is defined." >&5
853echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
854which seems to be undefined.  Please make sure it is defined." >&2;}
855
856  rm -f "$tmp/stdin"
857  case $ac_file in
858  -) cat "$tmp/out"; rm -f "$tmp/out";;
859  *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
860  esac
861 ;;
862  :H)
863  #
864  # CONFIG_HEADER
865  #
866    # First, check the format of the line:
867    cat >"$tmp/defines.sed" <<\CEOF
868/^[      ]*#[    ]*undef[        ][      ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[    ]*$/b def
869/^[      ]*#[    ]*define[       ][      ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[(   ]/b def
870b
871:def
872s/$/ /
873s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_NAME\)[       (].*,\1define\2 "libXt" ,
874s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_TARNAME\)[    (].*,\1define\2 "libXt" ,
875s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_VERSION\)[    (].*,\1define\2 "1.0.5" ,
876s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_STRING\)[     (].*,\1define\2 "libXt 1.0.5" ,
877s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_BUGREPORT\)[  (].*,\1define\2 "https://bugs.freedesktop.org/enter_bug.cgi?product=xorg" ,
878s,^\([   #]*\)[^         ]*\([   ]*PACKAGE\)[    (].*,\1define\2 "libXt" ,
879s,^\([   #]*\)[^         ]*\([   ]*VERSION\)[    (].*,\1define\2 "1.0.5" ,
880s,^\([   #]*\)[^         ]*\([   ]*STDC_HEADERS\)[       (].*,\1define\2 1 ,
881s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_TYPES_H\)[   (].*,\1define\2 1 ,
882s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_STAT_H\)[    (].*,\1define\2 1 ,
883s,^\([   #]*\)[^         ]*\([   ]*HAVE_STDLIB_H\)[      (].*,\1define\2 1 ,
884s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRING_H\)[      (].*,\1define\2 1 ,
885s,^\([   #]*\)[^         ]*\([   ]*HAVE_MEMORY_H\)[      (].*,\1define\2 1 ,
886s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRINGS_H\)[     (].*,\1define\2 1 ,
887s,^\([   #]*\)[^         ]*\([   ]*HAVE_INTTYPES_H\)[    (].*,\1define\2 1 ,
888s,^\([   #]*\)[^         ]*\([   ]*HAVE_STDINT_H\)[      (].*,\1define\2 1 ,
889s,^\([   #]*\)[^         ]*\([   ]*HAVE_UNISTD_H\)[      (].*,\1define\2 1 ,
890s,^\([   #]*\)[^         ]*\([   ]*HAVE_DLFCN_H\)[       (].*,\1define\2 1 ,
891s,^\([   #]*\)[^         ]*\([   ]*INCLUDE_ALLOCA_H\)[   (].*,\1define\2 1 ,
892s,^\([   #]*\)[^         ]*\([   ]*USE_POLL\)[   (].*,\1define\2 1 ,
893s,^\([   #]*\)[^         ]*\([   ]*USE_SNPRINTF\)[       (].*,\1define\2 1 ,
894s,^\([   #]*\)[^         ]*\([   ]*XKB\)[        (].*,\1define\2 1 ,
895s,^\([   #]*\)[^         ]*\([   ]*appdefaultdir\)[      (].*,\1define\2 "/usr/share/X11/app-defaults" ,
896s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_VERSION_MAJOR\)[      (].*,\1define\2 1 ,
897s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_VERSION_MINOR\)[      (].*,\1define\2 0 ,
898s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_VERSION_PATCHLEVEL\)[         (].*,\1define\2 5 ,
899s/ $//
900s,^[     #]*u.*,/* & */,
901CEOF
902    sed -f "$tmp/defines.sed" $ac_file_inputs >"$tmp/out1"
903ac_result="$tmp/out1"
904  if test x"$ac_file" != x-; then
905    echo "/* $configure_input  */" >"$tmp/config.h"
906    cat "$ac_result" >>"$tmp/config.h"
907    if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
908      { echo "$as_me:908: $ac_file is unchanged" >&5
909echo "$as_me: $ac_file is unchanged" >&6;}
910    else
911      rm -f $ac_file
912      mv "$tmp/config.h" $ac_file
913    fi
914  else
915    echo "/* $configure_input  */"
916    cat "$ac_result"
917  fi
918  rm -f "$tmp/out12"
919# Compute $ac_file's index in $config_headers.
920_am_stamp_count=1
921for _am_header in $config_headers :; do
922  case $_am_header in
923    $ac_file | $ac_file:* )
924      break ;;
925    * )
926      _am_stamp_count=`expr $_am_stamp_count + 1` ;;
927  esac
928done
929echo "timestamp for $ac_file" >`$as_dirname -- $ac_file ||
930$as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
931         X$ac_file : 'X\(//\)[^/]' \| \
932         X$ac_file : 'X\(//\)$' \| \
933         X$ac_file : 'X\(/\)' \| . 2>/dev/null ||
934echo X$ac_file |
935    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
936            s//\1/
937            q
938          }
939          /^X\(\/\/\)[^/].*/{
940            s//\1/
941            q
942          }
943          /^X\(\/\/\)$/{
944            s//\1/
945            q
946          }
947          /^X\(\/\).*/{
948            s//\1/
949            q
950          }
951          s/.*/./; q'`/stamp-h$_am_stamp_count
952 ;;
953
954  :C)  { echo "$as_me:954: executing $ac_file commands" >&5
955echo "$as_me: executing $ac_file commands" >&6;}
956 ;;
957  esac
958
959
960  case $ac_file$ac_mode in
961    "depfiles":C) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
962  # Strip MF so we end up with the name of the file.
963  mf=`echo "$mf" | sed -e 's/:.*$//'`
964  # Check whether this is an Automake generated Makefile or not.
965  # We used to match only the files named `Makefile.in', but
966  # some people rename them; so instead we look at the file content.
967  # Grep'ing the first line is not enough: some people post-process
968  # each Makefile.in and add a new line on top of each file to say so.
969  # So let's grep whole file.
970  if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
971    dirpart=`$as_dirname -- "$mf" ||
972$as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
973         X"$mf" : 'X\(//\)[^/]' \| \
974         X"$mf" : 'X\(//\)$' \| \
975         X"$mf" : 'X\(/\)' \| . 2>/dev/null ||
976echo X"$mf" |
977    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
978            s//\1/
979            q
980          }
981          /^X\(\/\/\)[^/].*/{
982            s//\1/
983            q
984          }
985          /^X\(\/\/\)$/{
986            s//\1/
987            q
988          }
989          /^X\(\/\).*/{
990            s//\1/
991            q
992          }
993          s/.*/./; q'`
994  else
995    continue
996  fi
997  # Extract the definition of DEPDIR, am__include, and am__quote
998  # from the Makefile without running `make'.
999  DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
1000  test -z "$DEPDIR" && continue
1001  am__include=`sed -n 's/^am__include = //p' < "$mf"`
1002  test -z "am__include" && continue
1003  am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
1004  # When using ansi2knr, U may be empty or an underscore; expand it
1005  U=`sed -n 's/^U = //p' < "$mf"`
1006  # Find all dependency output files, they are included files with
1007  # $(DEPDIR) in their names.  We invoke sed twice because it is the
1008  # simplest approach to changing $(DEPDIR) to its actual value in the
1009  # expansion.
1010  for file in `sed -n "
1011    s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
1012       sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1013    # Make sure the directory exists.
1014    test -f "$dirpart/$file" && continue
1015    fdir=`$as_dirname -- "$file" ||
1016$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1017         X"$file" : 'X\(//\)[^/]' \| \
1018         X"$file" : 'X\(//\)$' \| \
1019         X"$file" : 'X\(/\)' \| . 2>/dev/null ||
1020echo X"$file" |
1021    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1022            s//\1/
1023            q
1024          }
1025          /^X\(\/\/\)[^/].*/{
1026            s//\1/
1027            q
1028          }
1029          /^X\(\/\/\)$/{
1030            s//\1/
1031            q
1032          }
1033          /^X\(\/\).*/{
1034            s//\1/
1035            q
1036          }
1037          s/.*/./; q'`
1038    { as_dir=$dirpart/$fdir
1039  case $as_dir in #(
1040  -*) as_dir=./$as_dir;;
1041  esac
1042  test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
1043    as_dirs=
1044    while :; do
1045      case $as_dir in #(
1046      *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
1047      *) as_qdir=$as_dir;;
1048      esac
1049      as_dirs="'$as_qdir' $as_dirs"
1050      as_dir=`$as_dirname -- "$as_dir" ||
1051$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1052         X"$as_dir" : 'X\(//\)[^/]' \| \
1053         X"$as_dir" : 'X\(//\)$' \| \
1054         X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
1055echo X"$as_dir" |
1056    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1057            s//\1/
1058            q
1059          }
1060          /^X\(\/\/\)[^/].*/{
1061            s//\1/
1062            q
1063          }
1064          /^X\(\/\/\)$/{
1065            s//\1/
1066            q
1067          }
1068          /^X\(\/\).*/{
1069            s//\1/
1070            q
1071          }
1072          s/.*/./; q'`
1073      test -d "$as_dir" && break
1074    done
1075    test -z "$as_dirs" || eval "mkdir $as_dirs"
1076  } || test -d "$as_dir" || { { echo "$as_me:1076: error: cannot create directory $as_dir" >&5
1077echo "$as_me: error: cannot create directory $as_dir" >&2;}
1078   { (exit 1); exit 1; }; }; }
1079    # echo "creating $dirpart/$file"
1080    echo '# dummy' > "$dirpart/$file"
1081  done
1082done
1083 ;;
1084
1085  esac
1086done # for ac_tag
1087
1088
1089{ (exit 0); exit 0; }
Note: See TracBrowser for help on using the browser.